---
title: "Server migration"
date: 2023-03-12T09:13:52
slug: server-migration

---
It took me a fair while, but I've finished migrating my VPS off Linode now - finally. I was spending ~£20/month on servers, and that's set to increase by another 20% this month. I've now gone for [Contabo](https://contabo.com), who are pretty reputable and were offering a really good package - 4-CPU, 8GB RAM, 400GB SSD VPS for roughly £9 a month, once VAT is factored in. So now I've got more resources, for less than half the price.

Migration took longer than I thought it would - as these things tend to - but that's mostly because I used it as an opportunity to also fix a few bits of tech debt I'd built up through hamfisted attempts at tacking features on. Naturally, this meant doing a lot of things by hand (and this time remembering to write down what I did for next time).

Now my frontend & CMS are on separate domains, rather than co-located in the same directory. It makes for a cleaner split, and will make it easier for me to move away from Wordpress at some point.

Next up is to also move my Mastodon instance onto this server, and then decommission that one, after which I won't need to have anything on Linode at all, and can safely delete that account.
